diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/point-to-point-layout/model/point-to-point-grid.h ns-3.44/src/point-to-point-layout/model/point-to-point-grid.h
--- ns-3.43/src/point-to-point-layout/model/point-to-point-grid.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/point-to-point-layout/model/point-to-point-grid.h	2025-03-09 16:55:49.683372300 -0700
@@ -23,9 +23,9 @@
 {
 
 /**
- * \ingroup point-to-point-layout
+ * @ingroup point-to-point-layout
  *
- * \brief A helper to make it easier to create a grid topology
+ * @brief A helper to make it easier to create a grid topology
  * with p2p links
  */
 class PointToPointGridHelper
@@ -35,11 +35,11 @@
      * Create a PointToPointGridHelper in order to easily create
      * grid topologies using p2p links
      *
-     * \param nRows total number of rows in the grid
+     * @param nRows total number of rows in the grid
      *
-     * \param nCols total number of columns in the grid
+     * @param nCols total number of columns in the grid
      *
-     * \param pointToPoint the PointToPointHelper which is used
+     * @param pointToPoint the PointToPointHelper which is used
      *                     to connect all of the nodes together
      *                     in the grid
      */
@@ -48,11 +48,11 @@
     ~PointToPointGridHelper();
 
     /**
-     * \param row the row address of the node desired
+     * @param row the row address of the node desired
      *
-     * \param col the column address of the node desired
+     * @param col the column address of the node desired
      *
-     * \returns a pointer to the node specified by the
+     * @returns a pointer to the node specified by the
      *          (row, col) address
      */
     Ptr<Node> GetNode(uint32_t row, uint32_t col);
@@ -66,11 +66,11 @@
      * is the left row device of all the nodes, except the left-most
      * grid nodes, which returns the right row device.
      *
-     * \param row the row address of the node desired
+     * @param row the row address of the node desired
      *
-     * \param col the column address of the node desired
+     * @param col the column address of the node desired
      *
-     * \returns Ipv4Address of one of the interfaces of the node
+     * @returns Ipv4Address of one of the interfaces of the node
      *          specified by the (row, col) address
      */
     Ipv4Address GetIpv4Address(uint32_t row, uint32_t col);
@@ -84,17 +84,17 @@
      * is the left row device of all the nodes, except the left-most
      * grid nodes, which returns the right row device.
      *
-     * \param row the row address of the node desired
+     * @param row the row address of the node desired
      *
-     * \param col the column address of the node desired
+     * @param col the column address of the node desired
      *
-     * \returns Ipv6Address of one of the interfaces of the node
+     * @returns Ipv6Address of one of the interfaces of the node
      *          specified by the (row, col) address
      */
     Ipv6Address GetIpv6Address(uint32_t row, uint32_t col);
 
     /**
-     * \param stack an InternetStackHelper which is used to install
+     * @param stack an InternetStackHelper which is used to install
      *              on every node in the grid
      */
     void InstallStack(InternetStackHelper stack);
@@ -102,10 +102,10 @@
     /**
      * Assigns Ipv4 addresses to all the row and column interfaces
      *
-     * \param rowIp the Ipv4AddressHelper used to assign Ipv4 addresses
+     * @param rowIp the Ipv4AddressHelper used to assign Ipv4 addresses
      *              to all of the row interfaces in the grid
      *
-     * \param colIp the Ipv4AddressHelper used to assign Ipv4 addresses
+     * @param colIp the Ipv4AddressHelper used to assign Ipv4 addresses
      *              to all of the column interfaces in the grid
      */
     void AssignIpv4Addresses(Ipv4AddressHelper rowIp, Ipv4AddressHelper colIp);
@@ -113,9 +113,9 @@
     /**
      * Assigns Ipv6 addresses to all the row and column interfaces
      *
-     * \param network an IPv6 address representing the network portion
+     * @param network an IPv6 address representing the network portion
      *                of the IPv6 Address
-     * \param prefix the prefix length
+     * @param prefix the prefix length
      */
     void AssignIpv6Addresses(Ipv6Address network, Ipv6Prefix prefix);
 
@@ -123,10 +123,10 @@
      * Sets up the node canvas locations for every node in the grid.
      * This is needed for use with the animation interface
      *
-     * \param ulx upper left x value
-     * \param uly upper left y value
-     * \param lrx lower right x value
-     * \param lry lower right y value
+     * @param ulx upper left x value
+     * @param uly upper left y value
+     * @param lrx lower right x value
+     * @param lry lower right y value
      */
     void BoundingBox(double ulx, double uly, double lrx, double lry);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/point-to-point-layout/model/point-to-point-star.h ns-3.44/src/point-to-point-layout/model/point-to-point-star.h
--- ns-3.43/src/point-to-point-layout/model/point-to-point-star.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/point-to-point-layout/model/point-to-point-star.h	2025-03-09 16:55:49.683372300 -0700
@@ -20,14 +20,14 @@
 {
 
 /**
- * \defgroup point-to-point-layout Point-to-Point Layout Helpers
+ * @defgroup point-to-point-layout Point-to-Point Layout Helpers
  *
  */
 
 /**
- * \ingroup point-to-point-layout
+ * @ingroup point-to-point-layout
  *
- * \brief A helper to make it easier to create a star topology
+ * @brief A helper to make it easier to create a star topology
  * with PointToPoint links
  */
 class PointToPointStarHelper
@@ -37,11 +37,11 @@
      * Create a PointToPointStarHelper in order to easily create
      * star topologies using p2p links
      *
-     * \param numSpokes the number of links attached to
+     * @param numSpokes the number of links attached to
      *        the hub node, creating a total of
      *        numSpokes + 1 nodes
      *
-     * \param p2pHelper the link helper for p2p links,
+     * @param p2pHelper the link helper for p2p links,
      *        used to link nodes together
      */
     PointToPointStarHelper(uint32_t numSpokes, PointToPointHelper p2pHelper);
@@ -50,68 +50,68 @@
 
   public:
     /**
-     * \returns a node pointer to the hub node in the
+     * @returns a node pointer to the hub node in the
      *          star, i.e., the center node
      */
     Ptr<Node> GetHub() const;
 
     /**
-     * \param i an index into the spokes of the star
+     * @param i an index into the spokes of the star
      *
-     * \returns a node pointer to the node at the indexed spoke
+     * @returns a node pointer to the node at the indexed spoke
      */
     Ptr<Node> GetSpokeNode(uint32_t i) const;
 
     /**
-     * \param i index into the hub interfaces
+     * @param i index into the hub interfaces
      *
-     * \returns Ipv4Address according to indexed hub interface
+     * @returns Ipv4Address according to indexed hub interface
      */
     Ipv4Address GetHubIpv4Address(uint32_t i) const;
 
     /**
-     * \param i index into the spoke interfaces
+     * @param i index into the spoke interfaces
      *
-     * \returns Ipv4Address according to indexed spoke interface
+     * @returns Ipv4Address according to indexed spoke interface
      */
     Ipv4Address GetSpokeIpv4Address(uint32_t i) const;
 
     /**
-     * \param i index into the hub interfaces
+     * @param i index into the hub interfaces
      *
-     * \returns Ipv6Address according to indexed hub interface
+     * @returns Ipv6Address according to indexed hub interface
      */
     Ipv6Address GetHubIpv6Address(uint32_t i) const;
 
     /**
-     * \param i index into the spoke interfaces
+     * @param i index into the spoke interfaces
      *
-     * \returns Ipv6Address according to indexed spoke interface
+     * @returns Ipv6Address according to indexed spoke interface
      */
     Ipv6Address GetSpokeIpv6Address(uint32_t i) const;
 
     /**
-     * \returns the total number of spokes in the star
+     * @returns the total number of spokes in the star
      */
     uint32_t SpokeCount() const;
 
     /**
-     * \param stack an InternetStackHelper which is used to install
+     * @param stack an InternetStackHelper which is used to install
      *              on every node in the star
      */
     void InstallStack(InternetStackHelper stack);
 
     /**
-     * \param address an Ipv4AddressHelper which is used to install
+     * @param address an Ipv4AddressHelper which is used to install
      *                Ipv4 addresses on all the node interfaces in
      *                the star
      */
     void AssignIpv4Addresses(Ipv4AddressHelper address);
 
     /**
-     * \param network an IPv6 address representing the network portion
+     * @param network an IPv6 address representing the network portion
      *                of the IPv6 Address
-     * \param prefix the prefix length
+     * @param prefix the prefix length
      */
     void AssignIpv6Addresses(Ipv6Address network, Ipv6Prefix prefix);
 
@@ -119,10 +119,10 @@
      * Sets up the node canvas locations for every node in the star.
      * This is needed for use with the animation interface
      *
-     * \param ulx upper left x value
-     * \param uly upper left y value
-     * \param lrx lower right x value
-     * \param lry lower right y value
+     * @param ulx upper left x value
+     * @param uly upper left y value
+     * @param lrx lower right x value
+     * @param lry lower right y value
      */
     void BoundingBox(double ulx, double uly, double lrx, double lry);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/examples/jakes-propagation-model-example.cc ns-3.44/src/propagation/examples/jakes-propagation-model-example.cc
--- ns-3.43/src/propagation/examples/jakes-propagation-model-example.cc	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/examples/jakes-propagation-model-example.cc	2025-03-09 16:55:49.683372300 -0700
@@ -15,8 +15,8 @@
 using namespace ns3;
 
 /**
- * \ingroup propagation
- * \brief Constructs a JakesPropagationlossModel and print the loss value as a function of time into
+ * @ingroup propagation
+ * @brief Constructs a JakesPropagationlossModel and print the loss value as a function of time into
  * std::cout. Distribution and correlation statistics is compared with a theoretical ones using R
  * package (http://www.r-project.org/). Scripts are presented within comments.
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/examples/main-propagation-loss.cc ns-3.44/src/propagation/examples/main-propagation-loss.cc
--- ns-3.43/src/propagation/examples/main-propagation-loss.cc	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/examples/main-propagation-loss.cc	2025-03-09 16:55:49.683372300 -0700
@@ -26,9 +26,9 @@
  * Round a double number to the given precision. e.g. dround(0.234, 0.1) = 0.2
  * and dround(0.257, 0.1) = 0.3
  *
- * \param number The number to round.
- * \param precision The precision.
- * \return the rounded number
+ * @param number The number to round.
+ * @param precision The precision.
+ * @return the rounded number
  */
 static double
 dround(double number, double precision)
@@ -49,10 +49,10 @@
 /**
  * Test the model by sampling over a distance.
  *
- * \param model The model to test.
- * \param targetDistance The target distance.
- * \param step The step.
- * \return a Gnuplot object to be plotted.
+ * @param model The model to test.
+ * @param targetDistance The target distance.
+ * @param step The step.
+ * @return a Gnuplot object to be plotted.
  */
 static Gnuplot
 TestDeterministic(Ptr<PropagationLossModel> model, double targetDistance, double step)
@@ -84,7 +84,7 @@
 
             dataset.Add(distance, rxPowerDbm);
 
-            Simulator::Stop(Seconds(1.0));
+            Simulator::Stop(Seconds(1));
             Simulator::Run();
         }
     }
@@ -103,11 +103,11 @@
 /**
  * Test the model by sampling over a distance.
  *
- * \param model The model to test.
- * \param targetDistance The target distance.
- * \param step The step.
- * \param samples Number of samples.
- * \return a Gnuplot object to be plotted.
+ * @param model The model to test.
+ * @param targetDistance The target distance.
+ * @param step The step.
+ * @param samples Number of samples.
+ * @return a Gnuplot object to be plotted.
  */
 static Gnuplot
 TestProbabilistic(Ptr<PropagationLossModel> model,
@@ -183,11 +183,11 @@
 /**
  * Test the model by sampling over time.
  *
- * \param model The model to test.
- * \param timeStep The time step.
- * \param timeTotal The total time.
- * \param distance The distance.
- * \return a Gnuplot object to be plotted.
+ * @param model The model to test.
+ * @param timeStep The time step.
+ * @param timeTotal The total time.
+ * @param distance The distance.
+ * @return a Gnuplot object to be plotted.
  */
 static Gnuplot
 TestDeterministicByTime(Ptr<PropagationLossModel> model,
@@ -250,7 +250,7 @@
     double testDeterministicDistance = 2500.0;
     double testProbabilisticDistance = 2500.0;
     unsigned int testProbabilisticSamples = 100000;
-    Time testJakesTimeOneMsRes = Seconds(1.0);
+    Time testJakesTimeOneMsRes = Seconds(1);
     Time testJakesTimeZeroDotOneMsRes = Seconds(0.1);
 
     if (test)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/model/channel-condition-model.cc ns-3.44/src/propagation/model/channel-condition-model.cc
--- ns-3.43/src/propagation/model/channel-condition-model.cc	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/model/channel-condition-model.cc	2025-03-09 16:55:49.687372200 -0700
@@ -24,41 +24,41 @@
 
 /// NTN Dense Urban LOS probabilities from table 6.6.1-1 of 3GPP 38.811
 const std::map<int, double> DenseUrbanLOSProb{
-    {10, {28.2}},
-    {20, {33.1}},
-    {30, {39.8}},
-    {40, {46.8}},
-    {50, {53.7}},
-    {60, {61.2}},
-    {70, {73.8}},
-    {80, {82.0}},
-    {90, {98.1}},
+    {10, {0.282}},
+    {20, {0.331}},
+    {30, {0.398}},
+    {40, {0.468}},
+    {50, {0.537}},
+    {60, {0.612}},
+    {70, {0.738}},
+    {80, {0.820}},
+    {90, {0.981}},
 };
 
 /// NTN Urban LOS probabilities from table 6.6.1-1 of 3GPP 38.811
 const std::map<int, double> UrbanLOSProb{
-    {10, {24.6}},
-    {20, {38.6}},
-    {30, {49.3}},
-    {40, {61.3}},
-    {50, {72.6}},
-    {60, {80.5}},
-    {70, {91.9}},
-    {80, {96.8}},
-    {90, {99.2}},
+    {10, {0.246}},
+    {20, {0.386}},
+    {30, {0.493}},
+    {40, {0.613}},
+    {50, {0.726}},
+    {60, {0.805}},
+    {70, {0.919}},
+    {80, {0.968}},
+    {90, {0.992}},
 };
 
 /// NTN Suburban LOS probabilities from table 6.6.1-1 of 3GPP 38.811
 const std::map<int, double> SuburbanRuralLOSProb{
-    {10, {78.2}},
-    {20, {86.9}},
-    {30, {91.9}},
-    {40, {92.9}},
-    {50, {93.5}},
-    {60, {94.0}},
-    {70, {94.9}},
-    {80, {95.2}},
-    {90, {99.8}},
+    {10, {0.782}},
+    {20, {0.869}},
+    {30, {0.919}},
+    {40, {0.929}},
+    {50, {0.935}},
+    {60, {0.940}},
+    {70, {0.949}},
+    {80, {0.952}},
+    {90, {0.998}},
 };
 
 } // namespace
@@ -388,7 +388,7 @@
 ThreeGppChannelConditionModel::DoDispose()
 {
     m_channelConditionMap.clear();
-    m_updatePeriod = Seconds(0.0);
+    m_updatePeriod = Seconds(0);
 }
 
 Ptr<ChannelCondition>
@@ -593,7 +593,7 @@
                   "Invalid elevation angle!");
 
     return std::make_tuple(elevAngle, elevAngleQuantized);
-};
+}
 
 // ------------------------------------------------------------------------- //
 
